Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.edit
Class ControlFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecp.internal.edit.ControlFactoryImpl

All Implemented Interfaces:
  ECPControlFactory

Deprecated.

    @Deprecated
    public final class ControlFactoryImpl

extends Object
implements ECPControlFactory

The ControlFactoryImpl is a Singleton which reads the org.eclipse.emf.ecp.editor.widgets ExtensionPoint and provides a method (`createControl(Class, EObject, VDomainModelReference)`) for creating a suitable control for with the known widgets.

Author:
  Eugen Neufeld

Field Summary
`static ControlFactoryImpl` | `INSTANCE` Deprecated. The Singleton for accessing the ControlFactoryImpl.

Constructor Summary
`ControlFactoryImpl()` Deprecated. Constructor which reads the extension points.

Method Summary
`
`<T> T`
` | `createControl(Class<T> controlType, org.eclipse.emf.ecore.EObject domainModel, VDomainModelReference domainModelReference)` Deprecated. Creates an `ECPAbstractControl` based on a `Class` and the `VDomainModelReference`.
`
`<T> T`
` | `createControl(String controlId)` Deprecated. Creates an `ECPAbstractControl` based on an id.
`Set<ECPControlDescription>` | `getControlDescriptors()` Deprecated. A copy of all known `ECPControlDescription`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ControlFactoryImpl INSTANCE

  Deprecated.
  The Singleton for accessing the ControlFactoryImpl.

Constructor Detail

### ControlFactoryImpl

    public ControlFactoryImpl()

  Deprecated.
  Constructor which reads the extension points. Thus new controls can't be added during runtime.

Method Detail

### createControl

    public <T> T createControl(Class<T> controlType,
                               org.eclipse.emf.ecore.EObject domainModel,
                               VDomainModelReference domainModelReference)

  Deprecated.
  Creates an `ECPAbstractControl` based on a `Class` and the `VDomainModelReference`.

  Specified by:
    `createControl` in interface `ECPControlFactory`
  Type Parameters:
    `T` - the type of the control to return
  Parameters:
    `controlType` - the type of the control to return
    `domainModel` - The domain model object which is the root of the domain model reference
    `domainModelReference` - the `VDomainModelReference` to use to identify the control
  Returns:
    the found control or null
  See Also:
    `ECPControlFactory.createControl(java.lang.Class, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)`

### createControl

    public <T> T createControl(String controlId)

  Deprecated.
  Creates an `ECPAbstractControl` based on an id.

  Specified by:
    `createControl` in interface `ECPControlFactory`
  Type Parameters:
    `T` - the type of the control to return
  Parameters:
    `controlId` - the if of the control to return
  Returns:
    the found control or null
  See Also:
    `ECPControlFactory.createControl(java.lang.String)`

### getControlDescriptors

    public Set<ECPControlDescription> getControlDescriptors()

  Deprecated.
  A copy of all known `ECPControlDescription`.

  Specified by:
    `getControlDescriptors` in interface `ECPControlFactory`
  Returns:
    a copy of the set of all known controlDescriptions

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.